%define __python %{__python3}

%global __requires_exclude  typelib\\(GtkosxApplication|Gtkspell|Glib\\)

Summary:	Genealogical Research and Analysis Management Programming System
Name:		gramps
Version:	4.2.5
Release:	%mkrel 2
License:	GPLv2+
Group:		Sciences/Other
Source0:	http://prdownloads.sourceforge.net/gramps/%{name}-%{version}.tar.gz
Source11:	%{name}-48.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
URL:		http://www.gramps-project.org
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	python3-gobject3
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Requires:	graphviz
Requires:	python3-bsddb3
Requires:	python3-icu
Requires:	python3-gobject3
Requires:	typelib(GConf)
Requires:	typelib(WebKit2)
Requires:	shared-mime-info
Requires:	xdg-utils
Recommends:	fonts-ttf-freefont

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.

%prep
%setup -q
%autopatch -p1

%build
python3 setup.py build

%install
python3 setup.py install --root %{buildroot}
# fix it:
perl -pi -e "s@%{buildroot}@@" %buildroot/%{python3_sitelib}/gramps/gen/utils/resource-path

#cleaning
rm -rf %{buildroot}/var

#menu
perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Science" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#icons
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
mv %{buildroot}/%{_datadir}/icons/gnome %{buildroot}/%{_datadir}/icons/Adwaita

%find_lang %{name} --with-gnome --with-man

rm -f %{buildroot}%{python3_sitelib}/gramps-*.egg-info
rm -fr %buildroot/%_docdir/%name

%files -f %{name}.lang
%doc README TODO COPYING example/
%{_bindir}/%{name}
%{_datadir}/metainfo/gramps.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/Adwaita/*/mimetypes/*
%{_iconsdir}/%{name}.png
%{_datadir}/mime-info/%{name}.*
%{_mandir}/man1/%{name}.1*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{python3_sitelib}/%name/


%changelog
* Sat Dec 31 2016 tv <tv> 4.2.5-2.mga6
+ Revision: 1078920
- do not manually requires typelib that are already auto required

* Tue Dec 20 2016 tv <tv> 4.2.5-1.mga6
+ Revision: 1076200
- new release

* Sun Sep 11 2016 tv <tv> 4.2.4-1.mga6
+ Revision: 1051467
- new version

* Wed Apr 13 2016 tv <tv> 4.2.3-1.mga6
+ Revision: 1001075
- new release

* Sun Jan 10 2016 tv <tv> 4.2.2-1.mga6
+ Revision: 920916
- new release

* Tue Oct 27 2015 tv <tv> 4.2.1-1.mga6
+ Revision: 895806
- new release

* Thu Oct 08 2015 tv <tv> 4.2.0-2.mga6
+ Revision: 887256
- rebuild for python 3.5

* Mon Aug 31 2015 tv <tv> 4.2.0-1.mga6
+ Revision: 871602
- new release

* Sat Aug 29 2015 tv <tv> 4.1.3-3.mga6
+ Revision: 870979
- include example
- package COPYING so that license dialog works

* Sat Aug 29 2015 tv <tv> 4.1.3-2.mga6
+ Revision: 870937
- switch to python3 again

* Wed Aug 05 2015 barjac <barjac> 4.1.3-1.mga6
+ Revision: 861249
- new version fixes mga#16528
- Mga5 Gramps causes problems for users coming from Ubuntu, because the data structures of their vs 4.1.3 cannot be reverted to our vs 4.1.1

* Mon Feb 09 2015 shlomif <shlomif> 4.1.1-2.mga5
+ Revision: 814237
- move /usr/share/icons/gnome to /usr/share/icons/Adwaita.

* Fri Nov 21 2014 barjac <barjac> 4.1.1-1.mga5
+ Revision: 798088
- new version 4.1.1

* Thu Oct 16 2014 luigiwalser <luigiwalser> 4.1.0-7.mga5
+ Revision: 767548
- revert incorrect change to python3

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes
    - s/uggests:/Recommends:/
    - try building with python3

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Tue Jun 24 2014 tv <tv> 4.1.0-3.mga5
+ Revision: 639478
- drop requires on gtk2 era python-gnome modules

* Tue Jun 24 2014 tv <tv> 4.1.0-2.mga5
+ Revision: 639372
- drop requires on pygtk2.0; add exception for typelib(Glib)

* Tue Jun 24 2014 tv <tv> 4.1.0-1.mga5
+ Revision: 639358
- new release

* Sat May 31 2014 pterjan <pterjan> 4.0.3-2.mga5
+ Revision: 628237
- Rebuild for new Python

* Wed Feb 05 2014 tv <tv> 4.0.3-1.mga5
+ Revision: 583635
- adjust file list
- new release

* Sat Oct 19 2013 umeabot <umeabot> 4.0.1-7.mga4
+ Revision: 529025
- Mageia 4 Mass Rebuild

* Mon Jul 01 2013 tv <tv> 4.0.1-6.mga4
+ Revision: 448725
- readd exit fix that upstream missed

* Mon Jul 01 2013 tv <tv> 4.0.1-5.mga4
+ Revision: 448721
- use upstreal fixes rather than our own

* Sun Jun 30 2013 neoclust <neoclust> 4.0.1-4.mga4
+ Revision: 448554
- add missing requires on python-gobject-cairo (mga #10656)

* Fri Jun 28 2013 tv <tv> 4.0.1-3.mga4
+ Revision: 448149
- patch: fix gtk/unicode usage

* Fri Jun 28 2013 tv <tv> 4.0.1-2.mga4
+ Revision: 448143
- patch: fix errors on startup (mga#10322)

* Fri Jun 28 2013 tv <tv> 4.0.1-1.mga4
+ Revision: 448134
- new release
- requires python-icu
- no need for python-osmgpsmap since gramps now use gir

* Tue May 28 2013 tv <tv> 4.0.0-2.mga4
+ Revision: 429493
- further adjust require exceptions

* Fri May 24 2013 tv <tv> 4.0.0-1.mga4
+ Revision: 426310
- remove most req exceptions

* Fri May 24 2013 tv <tv> 4.0.0-0.2.mga4
+ Revision: 425952
- new release
- add requires exceptions
- fix run
- adjust file list

* Sat Apr 06 2013 wally <wally> 3.4.3-1.mga3
+ Revision: 408488
- new version 3.4.3

* Sun Mar 17 2013 lmenut <lmenut> 3.4.2-3.mga3
+ Revision: 403604
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Sat Jan 12 2013 umeabot <umeabot> 3.4.2-2.mga3
+ Revision: 352561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 30 2012 tv <tv> 3.4.2-1.mga3
+ Revision: 311592
- new release

* Sun Nov 27 2011 tv <tv> 3.3.1-1.mga2
+ Revision: 172534
- new release

* Tue Sep 13 2011 wally <wally> 3.3.0-3.mga2
+ Revision: 143040
- clean BRs
- clean reqs
- add missing reqs
- convert some reqs to suggests
- suggest more optional packages

* Wed Jun 29 2011 wally <wally> 3.3.0-2.mga2
+ Revision: 115579
- handle localized man pages with find_lang macro
- clean .spec a bit

  + kharec <kharec>
    - allow change on compression of manpage for futures rebuilt

* Mon Jun 27 2011 kharec <kharec> 3.3.0-1.mga2
+ Revision: 114362
- update version
- update file list

* Sun May 08 2011 kharec <kharec> 3.2.6-1.mga1
+ Revision: 96478
- new bugfix release

* Wed Mar 16 2011 tv <tv> 3.2.5-1.mga1
+ Revision: 72831
- imported package gramps

